Bug 1110831 - unable to remove export domain
Summary: unable to remove export domain
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 3.5.0
Assignee: Piotr Kliczewski
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On: 1128761 1128778
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-18 14:27 UTC by Petr Beňas
Modified: 2016-02-10 19:30 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:22:08 UTC
oVirt Team: Infra


Attachments (Terms of Use)
engine.log (14.33 MB, text/x-log)
2014-06-18 14:30 UTC, Petr Beňas
no flags Details
vdsm.log (10.87 MB, text/x-log)
2014-06-18 14:31 UTC, Petr Beňas
no flags Details
screenshot (44.27 KB, image/png)
2014-08-18 10:09 UTC, Netbulae
no flags Details
Screenshot in maintenance (43.87 KB, image/png)
2014-08-18 10:09 UTC, Netbulae
no flags Details
engine log from newer ovirt version (4.24 MB, text/x-log)
2014-08-26 13:40 UTC, Petr Beňas
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32457 master MERGED storage domain detach with force fails Never
oVirt gerrit 32503 ovirt-3.5 MERGED storage domain detach with force fails Never

Description Petr Beňas 2014-06-18 14:27:07 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140612090854.el6.noarch

How reproducible:
100% on my setup, cannot try with different domain, since I can't remove the attached one

Steps to Reproduce:
1. add exportdomain
2. attempt to remove it


Actual results:


Expected results:


Additional info:
Might be related to jsonrpc communication between engine and hosts. Colleague of mine was able to remove the same domain from his 3.5 setup (with xmlrpc).

Comment 1 Petr Beňas 2014-06-18 14:30:37 UTC
Created attachment 910051 [details]
engine.log

cut, original was too large

Comment 2 Petr Beňas 2014-06-18 14:31:43 UTC
Created attachment 910052 [details]
vdsm.log

Comment 3 Maor 2014-08-07 12:03:04 UTC
Does it still reproduces?
What was the Storage name? I don't see any indication in the code which is related to Remove Storage Domain

Comment 4 Netbulae 2014-08-18 10:08:06 UTC
I also have a storage domain that I'm unable to remove from AIO install.

I accidentaly added the ISO domain as DATA Domain type and can't remove it even when in maintenance

Comment 5 Netbulae 2014-08-18 10:09:07 UTC
Created attachment 927763 [details]
screenshot

Comment 6 Netbulae 2014-08-18 10:09:32 UTC
Created attachment 927764 [details]
Screenshot in maintenance

Comment 7 Petr Beňas 2014-08-26 13:38:59 UTC
Still reprpducible on my setup with  oVirt Engine Version: 3.5.0-0.0.master.20140821064931.gitb794d66.el6 

"Failed to detach Storage Domain export to Data Center Default. (User: admin)"

I don't understand the second question. What do you mean by storage name?

Comment 8 Petr Beňas 2014-08-26 13:40:27 UTC
Created attachment 930984 [details]
engine log from newer ovirt version

Comment 9 Petr Beňas 2014-08-26 13:41:06 UTC
2014-08-26 15:33:43,282 ERROR [org.ovirt.engine.core.bll.storage.DetachStorageDomainFromPoolCommand] (org.ovirt.thread.pool-8-thread-31) [1e72c201] Command org.ovirt.engine.core.bll.storage.DetachStorageDomainFromPoolCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.irsbroker.IRSErrorException: IRSGenericException: IRSErrorException: Failed to DetachStorageDomainVDS, error = Attempt to call function: <bound method StorageDomain.detach of <API.StorageDomain object at 0x7f21d03df610>> with arguments: (u'00000002-0002-0002-0002-0000000001d9', u'00000000-0000-0000-0000-000000000000', 1) error: detach() takes exactly 5 arguments (4 given), code = -32603 (Failed with error unexpected and code 16)
2014-08-26 15:33:43,307 INFO  [org.ovirt.engine.core.bll.storage.DetachStorageDomainFromPoolCommand] (org.ovirt.thread.pool-8-thread-31) [1e72c201] Command [id=4d6e85db-97dc-4bb3-b2fe-9e606c7ff4a9]: Compensating CHANGED_STATUS_ONLY of org.ovirt.engine.core.common.businessentities.StoragePoolIsoMap; snapshot: EntityStatusSnapshot [id=storagePoolId = 00000002-0002-0002-0002-0000000001d9, storageId = 44559ec0-6bef-491c-bbd6-e67278f37987, status=Maintenance].
2014-08-26 15:33:43,318 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-8-thread-31) [1e72c201] Correlation ID: 1e72c201, Job ID: ad4583c0-9f96-4a38-b3d2-45235a157021, Call Stack: null, Custom Event ID: -1, Message: Failed to detach Storage Domain export to Data Center Default. (User: admin)

Comment 10 Maor 2014-08-26 22:12:38 UTC
> I don't understand the second question. What do you mean by storage name?
Thanks for the logs, I just wanted to look into the log for the storage name to be more focused. but it is now much more clear. thanks again.

Comment 11 Maor 2014-09-03 14:41:16 UTC
I tried to reproduce this now on my env, it worked well.
Petr, What VDSM version are you using? is your DC is 3.5 version also?

Comment 12 Petr Beňas 2014-09-04 10:12:40 UTC
vdsm-4.16.2-1.gite8cba75.el6.x86_64
Yes, DC is 3.5.

I can let you debug on my setup, if necessary.

Comment 13 Allon Mureinik 2014-09-04 10:31:18 UTC
This is clearly a JSON-RPC issue:

> error: detach() takes exactly 5 arguments (4 given)

Moving to infra to handle.

Comment 14 Sandro Bonazzola 2014-10-17 12:22:08 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.